*    A GETTIM SUBROUTINE FOR LPI/FORTRAN
*    Author:          M. Steven baker
*    Revision Date:   December 29, 1987

       subroutine gettim(IHR,IMIN,ISEC,I100)
       INTEGER*4 IHR,IMIN,ISEC,I100
*      LOGICAL DOSCALL
       CHARACTER*1 REGS(4,5)
       REGS(2,1) = CHAR(44)
       CALL DOSCALL(REGS)
       IHR =  ICHAR( REGS(2,3) )
       IMIN = ICHAR( REGS(1,3) )
       ISEC = ICHAR( REGS(2,4) )
       I100 = ICHAR( REGS(1,4) )
       end
